CURLOPT_PORT(3)

NAME
CURLOPT_PORT - set remote port number to work with

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PORT, long number);

DESCRIPTION
This option sets number to be the remote port number to connect to, instead of the one specified in the URL or the default port for the used protocol. Usually, you just let the URL decide which port to use but this allows the application to override that. While this option accepts a 'long', a port number is usually a 16 bit number and therefore using a port number over 65535 will cause a run-time error.

DEFAULT
By default this is 0 which makes it not used.

PROTOCOLS
Used for all protocols that speak to a port number.

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_STDERR(3), CURLOPT_DEBUGFUNCTION(3),